routes/web.php
<?php

use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
/*/
Auth::routes();
Route::any("/payment-result",'Api\V1\PaymentController@paymentResult');
Route::redirect("/",'login');
Route::get('/testP',function (){
   return view("test");
});
Route::group(['middleware'=>['auth','Admin'],'prefix'=>"admin",'namespace'=>"Panel"],function (){




    //advertising

    Route::get('advertising-list/individual', 'AdvertisingController@index')->name('advertising.index');
    Route::get('advertising-list/companies', 'AdvertisingController@index')->name('advertising.indexCompanies');
    Route::get('advertising/create', 'AdvertisingController@createForm')->name('advertising.createForm');
    Route::post('advertising/create', 'AdvertisingController@create')->name('advertising.create');
    Route::get('advertising/{id}', 'AdvertisingController@getDetails')->name('advertising.details');
    Route::get('advertising/view/{id}', 'AdvertisingController@view')->name('advertising.view');
    Route::delete('advertising/delete/{advertising}', 'AdvertisingController@destroy')->name('advertising.destroy');
    Route::post('advertising/accept/{id}', 'AdvertisingController@accept')->name('advertising.accept');
    Route::post('advertising/update', 'AdvertisingController@update')->name('advertising.update');


    //packages
    Route::get('packages', 'PackagesController@index')->name('packages.index');
    Route::get('packages/company', 'PackagesController@index')->name('packages.company.index');
    Route::get('packages/individual', 'PackagesController@index')->name('packages.individual.index');

    Route::get('staticPackages', 'StaticPackagesController@index')->name('staticPackages.index');
    Route::get('staticPackages/company', 'StaticPackagesController@index')->name('staticPackages.company.index');
    Route::get('staticPackages/individual', 'StaticPackagesController@index')->name('staticPackages.individual.index');


    Route::resource('staticPackages', 'StaticPackagesController', ['except' => 'show']);
    Route::resource('packages', 'PackagesController', ['except' => 'show']);





    //payments

    Route::get('payments', 'PaymentsController@index')->name('payments.index');
    Route::get('payments/{id}', 'PaymentsController@showDetail')->name('payments.showDetail');
    Route::get('payments/user/{id}', 'PaymentsController@userPayment')->name('payments.userPayment');
    Route::post('paymentHistory/accept/{id}', 'PaymentsController@acceptPayment')->name('paymentHistory.accept');

    Route::get('balanceHistory/user/{id}', 'MembersController@balanceHistory')->name('members.balanceHistory');



    //comments
    Route::get('comments', 'CommentsController@index')->name('comments.index');
    Route::get('comments/{id}', 'CommentsController@commentAdvertising')->name('comments.advertising');
    Route::delete('comments/delete/{country}', 'CommentsController@comments')->name('comments.destroy');


    //notifications
    Route::get('notifications', 'NotificationController@index')->name('notifications.index');
    Route::get('notifications/updateSettings', 'NotificationController@settings')->name('notifications.settings');
    Route::get('notifications/create', 'NotificationController@createForm')->name('notifications.create');
    Route::post('notifications/dispatch', 'NotificationController@create')->name('notifications.dispatch');
    Route::post('notifications/updateSettings', 'NotificationController@updateSettings')->name('notifications.updateSettings');
    Route::delete('notifications/delete/{country}', 'NotificationController@delete')->name('notifications.destroy');

    //reports
    Route::get('reports', 'ReportsController@index')->name('reports.index');


    Route::get('profile', 'ProfileController@getProfile')->name('getProfile');
    Route::get('/changeLocale/{locale}', 'DashboardController@changeLocale')->name('changeLocale');

    Route::get("dashboard","DashboardController@dashboard")->name("dashboard");
    Route::get("/dashboard/charts", "DashboardController@charts")->name("charts");
    Route::get("/changeLocale/{locale}", "DashboardController@changeLocale")->name("changeLocale");
    Route::get('/dashboardInfo','DashboardController@getDashboardInfo')->name('dashboardInfo');


    //users
    Route::resource('administrators', 'AdministratorController', ['except' => 'show']);
    Route::resource('members', 'MembersController');
    Route::post("members-verify","MembersController@setVerify")->name("members.setVerify");
    Route::get("members-verify/{id}","MembersController@verify")->name("members.verify");

    Route::get('members-individual', 'MembersController@index')->name("members.individual");
    Route::get('members-company', 'MembersController@index')->name("members.company");

    Route::get('members-not-verified-individual', 'MembersController@notActiveMembers')->name("members.notActiveIndividual");
    Route::get('members-not-verified-company', 'MembersController@notActiveMembers')->name("members.notActiveCompany");


    Route::get('members/show/{id}', 'MembersController@show')->name("members.show");

    //settings
    Route::get('settings', 'SettingController@index')->name('settings.index');
    Route::post('settings/createAjax', 'SettingController@createAjax')->name('createAjax');
    Route::post('settings/updateAjax', 'SettingController@updateAjax')->name('updateAjax');
    Route::post('settings/removeAjax', 'SettingController@removeAjax')->name('removeAjax');


    //city
    Route::get("city","CityAndAreaController@city")->name("cities");
    Route::post('city/store', 'CityAndAreaController@storeCity')->name('city.store');
    Route::post('city/update', 'CityAndAreaController@updateCity')->name('city.update');
    Route::delete('city/destroy/{country}', 'CityAndAreaController@destroyCity')->name('city.destroy');

    //areas
    Route::get("area","CityAndAreaController@area")->name("areas");
    Route::post('areas/store', 'CityAndAreaController@storeArea')->name('areas.store');
    Route::post('areas/update', 'CityAndAreaController@updateArea')->name('areas.update');
    Route::delete('areas/destroy/{area}', 'CityAndAreaController@destroyArea')->name('areas.destroy');

    //Amenties
    Route::get("amenties","SettingController@amenties")->name("amenties");
    Route::post('amenties/store', 'SettingController@storeAmenties')->name('amenties.store');
    Route::post('amenties/update', 'SettingController@updateAmenties')->name('amenties.update');
    Route::delete('amenties/destroy/{amenties}', 'SettingController@destroyAmenties')->name('amenties.destroy');


    //Venue Type
    Route::get("venue-type","SettingController@venueType")->name("venueType");
    Route::get("getVenueTypeByType/{id}","SettingController@getVenueTypeByType")->name("getVenueTYpeByType");
    Route::post('venue-type/store', 'SettingController@storeVenueType')->name('venueType.store');
    Route::post('venue-type/update', 'SettingController@updateVenueType')->name('venueType.update');
    Route::delete('venue-type/destroy/{type}', 'SettingController@destroyVenueType')->name('venueType.destroy');



});
// In routes/web.php
Route::feeds();


Route::get("/test","TestController@test")->name("test");

app/Http/Controllers/Panel/AdministratorController.php
<?php

namespace App\Http\Controllers\Panel;

use App\Http\Controllers\Controller;
use App\Models\Advertising;
use App\Models\VenueType;
use App\User;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\Hash;
use Illuminate\Support\Facades\Validator;

class AdministratorController extends Controller
{

    public function createValidator(array $data)
    {
        return Validator::make($data, [
            'email' => ['unique:users'],
            'mobile' => ['unique:users'],
        ]);
    }

    public function validator(array $data)
    {
        return Validator::make($data, [
            'name' => ['required', 'string', 'max:191'],
            'email' => ['nullable', 'string', 'email', 'max:191'],
            'mobile' => ['required', 'string', 'min:11', 'max:13'],
        ]);
    }

    public function passwordValidator(array $data)
    {
        return Validator::make($data, [
            'password' => ['required', 'string', 'min:8', 'confirmed'],
        ]);
    }

    public function customValidator(array $data, $userId)
    {
        $errors = [];
        $user = User::find($userId);
        if ($user->mobile != $data['mobile']) {
            if (User::where('mobile', 'LIKE', $data['mobile'])->count() > 0) {
                $errors['mobile'] = 'This mobile number is already taken.';
            }
        }

        if ($user->email != $data['email']) {
            if (User::where('email', 'LIKE', $data['email'])->count() > 0) {
                $errors['email'] = 'This email address is already taken.';
            }
        }

        return $errors;
    }

    public function index()
    {
        $search=\request()->search;

        if (Auth::user()->type == 'admin') {
            $administrators = User::where('type', 'LIKE', 'admin');

            if(isset($search)){
                $administrators=$administrators->where("name","like","%".$search."%")->orWhere("mobile","like","%".$search."%");
            }

            $administrators=$administrators->get();
            return view('administrators.index', compact('administrators'));
        } else {
            return redirect()->route("dashboard");
        }
    }

    public function create()
    {
        $venueType=VenueType::where("type","Residential")->get();
        return view('administrators.create',compact('venueType'));
    }

    public function store(Request $request)
    {
        $this->createValidator($request->only('email', 'mobile'))->validate();
        $this->validator($request->only(['name', 'email', 'mobile']))->validate();
        $this->passwordValidator($request->only(['password', 'password_confirmation']))->validate();

        User::create([
            'name' => $request->name,
            'email' => $request->email,
            'mobile' => $request->mobile,
            'password' => Hash::make($request->password),
            'type' => 'admin'
        ]);

        return redirect(route('administrators.index'));
    }

    public function edit($user)
    {
        $user = User::find($user);
        $venueType=VenueType::where("type","Residential")->get();
        return view('administrators.edit', compact('user'));
    }

    public function update(Request $request, $userId)
    {
        $user = User::find($userId);
        $this->validator($request->only(['name', 'email', 'mobile']))->validate();
        $errors = $this->customValidator($request->only(['email', 'mobile']), $user->id);

        if (count($errors) > 0)
            return redirect(route('administrators.edit', $userId))
                ->withErrors($errors)
                ->withInput();

        if ($request->password)
            $this->passwordValidator($request->only(['password', 'password_confirmation']))->validate();

        $user->update([
            'name' => $request->name,
            'email' => $request->email,
            'mobile' => $request->mobile,
            'password' => $request->password ? Hash::make($request->password) : $user->password,
        ]);

        return redirect(route('administrators.index'));
    }



    public function destroy($user)
    {
        User::find($user)->delete();
        return redirect(route('administrators.index'));
    }




}

resources/views/administrators/create.blade.php
@extends('layouts.admin', ['crumbs' => [
    __('Admin Users') => route('administrators.index'),
    __('Create Account') => route('administrators.create')]
, 'title' => __('New Admin User Account')])
@section('content')
    <div class="card col-md-12 mx-auto">
        <form method="post" action="{{route('administrators.store')}}" class="form theme-form">
            @csrf
            <div class="card-body">
                <div class="row">
                    <div class="col">
                        <h5>{{__('Account Information')}}</h5>
                        <div class="form-group row">
                            <label for="name" class="col-sm-3 col-form-label"><span class="text-danger">*</span> {{__('Full Name')}}</label>
                            <div class="col-sm-6">
                                <input type="text" name="name" class="form-control  @error('name') is-invalid @enderror" id="name" placeholder="{{__('Full Name')}}" value="{{ old('name') }}" required>
                                @error('name')
                                <div class="help-block text-danger">{{ $message }}</div>
                                @enderror
                            </div>
                        </div>
                        <div class="form-group row">
                            <label for="email" class="col-sm-3 col-form-label">{{__('Email Address')}}</label>
                            <div class="col-sm-6">
                                <input type="text" name="email" class="form-control  @error('email') is-invalid @enderror" id="email" placeholder="{{__('Email Address')}}" value="{{ old('email') }}" >
                                @error('email')
                                <div class="help-block text-danger">{{ $message }}</div>
                                @enderror
                            </div>
                        </div>
                        <div class="form-group row">
                            <label for="mobile" class="col-sm-3 col-form-label"><span class="text-danger">*</span> {{__('Mobile')}}</label>
                            <div class="col-sm-6">
                                <input type="text" name="mobile" class="form-control  @error('mobile') is-invalid @enderror" id="mobile" placeholder="{{__('Mobile')}}" value="{{ old('mobile') }}" required size="8">
                                @error('mobile')
                                <div class="help-block text-danger">{{ $message }}</div>
                                @enderror
                            </div>
                        </div>

                        <hr>
                        <h5>{{__('Account Security')}}</h5>
                        <div class="form-group row">
                            <label for="password" class="col-sm-3 col-form-label"><span class="text-danger">*</span> {{__('Password')}}</label>
                            <div class="col-sm-6">
                                <input type="password" name="password" class="form-control  @error('password') is-invalid @enderror" id="password" placeholder="{{__('Password')}}" required>
                                @error('password')
                                <div class="help-block text-danger">{{ $message }}</div>
                                @else
                                <div class="help-block text-info hint"><i class="fa fa-exclamation-circle"></i> <small>{{__('minimum 8 characters')}}</small></div>
                                @enderror
                            </div>
                        </div>

                        <div class="form-group row">
                            <label for="password_confirmation" class="col-sm-3 col-form-label"><span class="text-danger">*</span> {{__('Confirm Password')}}</label>
                            <div class="col-sm-6">
                                <input type="password" name="password_confirmation" class="form-control " placeholder="{{__('Confirm Password')}}" id="password_confirmation" required>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="card-footer">
                <button type="submit" class="btn btn-primary">{{__('Submit')}}</button>
                <a href="{{route('administrators.index')}}" class="btn btn-light">{{__('Cancel')}}</a>
            </div>
        </form>
    </div>
@endsection

resources/views/administrators/edit.blade.php
@extends('layouts.admin', ['crumbs' => [
    __('Users') => route('administrators.index'),
    __('Edit Admin User Account') => route('administrators.edit', $user)]
, 'title' => __('Edit User Account')])
@section('content')
    @if ($errors->any())
        <div class="alert alert-danger col-sm-12">
            <ul>
                @foreach ($errors->all() as $error)
                    <li>{{ $error }}</li>
                @endforeach
            </ul>
        </div>
    @endif

    <div class="card col-md-12 mx-auto">

        <form method="POST" action="{{route('administrators.update',$user->id)}}" accept-charset="UTF-8" class="form theme-form">
            <input name="_method" type="hidden" value="PUT"/>
            @csrf
            <div class="card-body">
                <div class="row">
                    <div class="col">
                        <h5>{{__('Account Information')}}</h5>
                        <div class="form-group row">
                            <label for="name" class="col-sm-3 col-form-label"><span class="text-danger">*</span> {{__('Full Name')}}</label>
                            <div class="col-sm-6">
                                <input type="text" name="name" class="form-control  @error('name') is-invalid @enderror" id="name" placeholder="{{__('Full Name')}}" value="{{ $user->name }}" required>
                                @error('name')
                                <div class="help-block text-danger">{{ $message }}</div>
                                @enderror
                            </div>
                        </div>
                        <div class="form-group row">
                            <label for="email" class="col-sm-3 col-form-label">{{__('Email Address')}}</label>
                            <div class="col-sm-6">
                                <input type="text" name="email" class="form-control  @error('email') is-invalid @enderror" id="email" placeholder="{{__('Email Address')}}" value="{{ $user->email }}" >
                                @error('email')
                                <div class="help-block text-danger">{{ $message }}</div>
                                @enderror
                            </div>
                        </div>
                        <div class="form-group row">
                            <label for="mobile" class="col-sm-3 col-form-label"><span class="text-danger">*</span> {{__('Mobile')}}</label>
                            <div class="col-sm-6">
                                <input type="text" name="mobile" class="form-control  @error('mobile') is-invalid @enderror" id="mobile" placeholder="{{__('Mobile')}}" value="{{ $user->mobile }}" required size="8">
                                @error('mobile')
                                <div class="help-block text-danger">{{ $message }}</div>
                                @enderror
                            </div>
                        </div>

                        <hr>
                        <h5>Account Security</h5>
                        <div class="form-group row">
                            <label for="password" class="col-sm-3 col-form-label"><span class="text-danger">*</span> {{__('New Password')}}</label>
                            <div class="col-sm-6">
                                <input type="password" name="password" class="form-control  @error('password') is-invalid @enderror" id="password" placeholder="{{__('New Password')}}">
                                @error('password')
                                <div class="help-block text-danger">{{ $message }}</div>
                                @else
                                <div class="help-block text-info hint"><i class="fa fa-exclamation-circle"></i> <small>{{__('minimum 8 characters')}}</small></div>
                                @enderror
                            </div>
                        </div>

                        <div class="form-group row">
                            <label for="password_confirmation" class="col-sm-3 col-form-label"><span class="text-danger">*</span> {{__('Confirm New Password')}}</label>
                            <div class="col-sm-6">
                                <input type="password" name="password_confirmation" class="form-control " placeholder="{{__('Confirm New Password')}}" id="password_confirmation">
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="card-footer">
                <button type="submit" class="btn btn-primary">{{__('Submit')}}</button>
                <a href="{{route('administrators.index')}}" class="btn btn-light">{{__('Cancel')}}</a>
            </div>
        </form>
    </div>
@endsection

resources/views/administrators/index.blade.php
@extends('layouts.admin', ['crumbs' => [
    __('Admin Users') => route('administrators.index')]
,'title' => __('List of Admin Users')])
@section('content')
    <div class="col-sm-12">
        <div class="card">
                <div class="card-header">
                    <div class="row">
                        <div class="col-sm-4">
                            <a class="btn btn-primary" href="{{route('administrators.create')}}">
                                <i class="fa fa-fw fa-plus"></i>
                                {{__('Create New User')}}
                            </a>
                        </div>

                        <div class="col-sm-2">
                            <input type="text" name="search_table" class="form-control  " id="search_table" placeholder="Search Name Or Mobile" value="{{request('search')}}" required="" autocomplete="off">

                        </div>
                        <div class="col-sm-2">
                            <button type="button" class="btn btn-success" onclick="search();">search</button>
                        </div>
                    </div>
                </div>
                <div class="card-body">
                    <div class="table-responsive">
                        <table class="table table-striped table-hover">
                            <thead class="thead-light">
                            <tr>
                                <th scope="col">#</th>
                                <th scope="col">{{__('Full Name')}}</th>
                                <th scope="col">{{__('Email Address')}}</th>
                                <th scope="col">{{__('Mobile')}}</th>
                                <th scope="col">Actions</th>
                            </tr>
                            </thead>
                            <tbody>
                            <?php $row = 1; ?>
                            @foreach($administrators as $administrator)
                                <tr>
                                    <th scope="row">{{$row}}</th>
                                    <td>{{$administrator->name}}</td>
                                    <td>{{$administrator->email}}</td>
                                    <td>{{$administrator->mobile}}</td>
                                    <td>
                                        @component('components.actionButtons', [
                                            'routeEdit' => route('administrators.edit', $administrator->id),
                                            'itemId' => $administrator->id,
                                            'routeDelete' => route('administrators.destroy', $administrator->id),
                                        ])
                                        @endcomponent
                                    </td>
                                </tr>
                                <?php $row++; ?>
                            @endforeach
                            </tbody>
                        </table>
                    </div>
                </div>
        </div>
    </div>

    <script>
        function search() {
            var name=$("#search_table").val();
            window.location.href = "/admin/administrators/?search="+name;

        }
    </script>
@endsection